Subject: Re: [net-next PATCH] net: allow vlan traffic to be received under bond

From: Jiri Pirko <[email-masked]>
Date: Thu, 13 Oct 2011 17:38:51 +0200

Thu, Oct 13, 2011 at 05:04:34PM CEST, [email-masked] wrote:
>
>On Tue, 2011-10-11 at 00:37 +0200, Jiri Pirko wrote:
>
>> Hmm, I must look at this again tomorrow but I have strong feeling this
>> will break some some scenario including vlan-bridge-macvlan. 
>
>unless I'm mistaken, today's behaviour:
>
># vconfig add eth0 100
># brctl addbr br0
># brctl addif br0 eth0
>
>=> eth0.100 gets no more packets, br0.100 is to be used
>
>after the patch won't we get the opposite ?

Looks like it. The question is what is the correct behaviour...

>-- 
>Maxime